User
List all workspaces the current user has access to.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/user/memberships"{ "items": [ { "id": "ws_It13CUaGEhLLAB87simX0", "name": "string", "logoUrl": "http://example.com", "role": "string", "createdAt": "2019-08-24T14:15:22Z" } ]}Get the current user's profile and user-scoped onboarding state.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/user/profile"{ "id": "string", "email": "string", "name": "string", "image": "string", "githubUsername": "string", "cliConnected": true, "company": "string", "acquisitionSource": "github", "acquisitionSourceDetail": "string", "useCases": "string", "profileSetupCompletedAt": "2019-08-24T14:15:22Z", "profileSetupVersion": 0}Update the current user's profile (display name).
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/user/profile" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "email": "string", "name": "string", "image": "string", "githubUsername": "string", "cliConnected": true, "company": "string", "acquisitionSource": "github", "acquisitionSourceDetail": "string", "useCases": "string", "profileSetupCompletedAt": "2019-08-24T14:15:22Z", "profileSetupVersion": 0}Complete the required beta intake and profile setup dialog.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/user/profile/setup" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "company": "string", "acquisitionSource": "github" }'{ "id": "string", "email": "string", "name": "string", "image": "string", "githubUsername": "string", "cliConnected": true, "company": "string", "acquisitionSource": "github", "acquisitionSourceDetail": "string", "useCases": "string", "profileSetupCompletedAt": "2019-08-24T14:15:22Z", "profileSetupVersion": 0}Create a new workspace. The current user will be automatically added as an admin.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/user/workspaces" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "ws_It13CUaGEhLLAB87simX0", "name": "string", "logoUrl": "http://example.com", "role": "string", "createdAt": "2019-08-24T14:15:22Z"}List all git namespaces (GitHub installations) the current user has access to.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
"github"Value in
- "github"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/user/git-namespaces"{ "items": [ { "id": 0, "name": "string", "slug": "string", "installationId": 0, "type": "team", "provider": "github", "createdAt": "2019-08-24T14:15:22Z" } ]}Sync git namespaces from the provider. For GitHub, this fetches all app installations accessible to the user.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/user/git-namespaces/sync" \ -H "Content-Type: application/json" \ -d '{ "provider": "github" }'{ "items": [ { "id": 0, "name": "string", "slug": "string", "installationId": 0, "type": "team", "provider": "github", "createdAt": "2019-08-24T14:15:22Z" } ]}List repositories accessible through a git namespace (GitHub installation).
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Query Parameters
Search query to filter repositories by name
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/user/git-namespaces/string/repositories"{ "items": [ { "name": "string", "private": true, "defaultBranch": "string", "pushedAt": "2019-08-24T14:15:22Z" } ]}